Author Topic: wxWidgets 2.6 (MSW, GCC) installation instructions  (Read 104615 times)

Offline S_O

  • Single posting newcomer
  • *
  • Posts: 5
Re: wxWidgets 2.6 (MSW, GCC) installation instructions
« Reply #75 on: December 03, 2005, 02:31:57 pm »
People here are trying to tell you that you must not use MSYS at all.
Downloading only make, is not going to help you. You 're still using GCC from MSYS...

If you want to use makefiles to build it, you *must* not use MSYS.
To use MSYS, try the "./configure" approach.
Im not using MSYS at all (at least not knowingly).
Is it impossible to compile wxWidgets with MSYS installed (installed, not used)? How do I compile it without using MSYS? I use command-prompt, but probably it still uses all the MSYS tools.
Also the problem seems to be the sh.exe.The sh.exe is only part of MSYS, not of my MinGW installation. GCC is in MinGW and MSYS.

Offline MortenMacFly

  • Administrator
  • Lives here!
  • *****
  • Posts: 9504
Re: wxWidgets 2.6 (MSW, GCC) installation instructions
« Reply #76 on: December 03, 2005, 03:42:29 pm »
How do I compile it without using MSYS?
You have MSYS in your PATH environment set before the path that holds the mingw-make. So eighter you fix your PATH environment to first point to the path with mingw-make or (more secure) just rename the MSYS folder for the time compiling wxWidgets.

Morten.

Ps: Of course you can also just remove the MSYS entry in your PATH - I am using MSYS myself and I don't need this to be in the PATH at all.
Compiler logging: Settings->Compiler & Debugger->tab "Other"->Compiler logging="Full command line"
C::B Manual: http://www.codeblocks.org/docs/main_codeblocks_en.html
C::B FAQ: http://wiki.codeblocks.org/index.php?title=FAQ

Offline Lamego

  • Single posting newcomer
  • *
  • Posts: 6
Re: wxWidgets 2.6 (MSW, GCC) installation instructions
« Reply #77 on: December 03, 2005, 04:03:47 pm »
You do not need to install MSYS to compile wxWidgets, if you have installed codeblocks+mingw it already includes everything thats needed.
Just grab the wxMSW source and extract it to C:\wxWidgets-2.6.2 (us this path if you dont want to touch the wxwidgets template later).

Now from a command prompt window type :
PATH=%PATH%;C:\Program Files\CodeBlocks\bin

cd \wxWidgets-2.6.2\build\msw
mingw32-make -f makefile.gcc USE_XRC=1 SHARED=1 MONOLITHIC=1 BUILD=release UNICODE=0 VENDOR=cb

This will build a codeblocks ready MSW .

Offline S_O

  • Single posting newcomer
  • *
  • Posts: 5
Re: wxWidgets 2.6 (MSW, GCC) installation instructions
« Reply #78 on: December 03, 2005, 04:31:18 pm »
MSYS wasnt the problem: WinAVR (a AVR-RISC-Microcontroller-IDE also containing special versions of make and gcc) was the problem. After renaming the winavr-folder it worked. Currently wxWidgets is compiling  :D

Edit:
Compiling is complete, I created a new wxWidgets-Project, but project refuses compiling:
Code: [Select]
main.cpp:24: error: call of overloaded `wxMenu(const char[1])' is ambiguous
C:/wxWidgets-2.6.2/include/wx/msw/menu.h:122: note: candidates are: wxMenu::wxMenu(const wxMenu&) <near match>
C:/wxWidgets-2.6.2/include/wx/msw/menu.h:59: note:                 wxMenu::wxMenu(long int) <near match>
C:/wxWidgets-2.6.2/include/wx/msw/menu.h:57: note:                 wxMenu::wxMenu(const wxString&, long int) <near match>
main.cpp:28: error: call of overloaded `wxMenu(const char[1])' is ambiguous
C:/wxWidgets-2.6.2/include/wx/msw/menu.h:122: note: candidates are: wxMenu::wxMenu(const wxMenu&) <near match>
C:/wxWidgets-2.6.2/include/wx/msw/menu.h:59: note:                 wxMenu::wxMenu(long int) <near match>
C:/wxWidgets-2.6.2/include/wx/msw/menu.h:57: note:                 wxMenu::wxMenu(const wxString&, long int) <near match>
Process terminated with status 1 (0 minutes, 0 seconds)
After outcommenting the code it compiles fine. Is it a bug in CodeBlocks or is something with my installtion wrong?
Also is there any better solution for the wxWidgets library: Even the smallest Programm needs this 10MB dll. Can I compile it somehow different that it only includes the suff I need directly in the exe (SHARED=0 MONOLITHIC=0) or more dlls (SHARED=1 MONOLITHIC=0)?
« Last Edit: December 03, 2005, 05:00:34 pm by S_O »

Offline Gregorius

  • Single posting newcomer
  • *
  • Posts: 5
Re: wxWidgets 2.6 (MSW, GCC) installation instructions
« Reply #79 on: January 30, 2006, 09:44:03 pm »
Anytime I try to compile I get this error:
Code: [Select]
C:\Dev\wxWidgets-2.6.2\build\msw>mingw32-make -f makefile.gcc USE_XRC=1 SHARED=1 MONOLITHIC=1 BUILD=release UNICODE=0 VENDOR=cb
if not exist gcc_mswdll mkdir gcc_mswdll
Syntax error: end of file unexpected (expecting "then")
mingw32-make: [gcc_mswdll] Error 2 (ignored)
if not exist ..\..\lib\gcc_dll mkdir ..\..\lib\gcc_dll
Syntax error: end of file unexpected (expecting "then")
mingw32-make: *** [..\..\lib\gcc_dll] Error 2
CodeBlocks 1.0rc2
wxWidgets 2.6.2

Exactly the same error I get if I use MinGW or make downloaded separately.
I even tried with MSYS - exactly the same...


frozon

  • Guest
Re: wxWidgets 2.6 (MSW, GCC) installation instructions
« Reply #80 on: January 31, 2006, 03:31:28 am »
Hi,
I just tried to compil wxwidgets 2.6.2 with this command line:
mingw32-make -f makefile.gcc BUILD=release SHARED=1 MONOLITHIC=1 USE_XRC=1 UNICODE=0 VENDOR=cb WXUNIV=1
It works, but when i lunch code::blocks, set the different path i have an error message
here is the log:
Code: [Select]
Project   : wxWidgets application
Compiler  : GNU GCC Compiler (called directly)
Directory : E:\Documents and Settings\Administrator\My Documents\dev\PAC\
--------------------------------------------------------------------------------
Switching to target: default
Precompiling header: wx_pch.h
In file included from C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/defs.h:21,
                 from C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/wxprec.h:13,
                 from ./wx_pch.h:9,
                 from <command line>:11:
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/platform.h:190:22: wx/setup.h: No such file or directory
In file included from C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/platform.h:258,
                 from C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/defs.h:21,
                 from C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/wxprec.h:13,
                 from ./wx_pch.h:9,
                 from <command line>:11:
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:84:9: #error "wxUSE_DYNLIB_CLASS must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:92:9: #error "wxUSE_EXCEPTIONS must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:100:9: #error "wxUSE_FILESYSTEM must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:113:9: #error "wxUSE_DYNAMIC_LOADER must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:121:9: #error "wxUSE_LOG must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:129:9: #error "wxUSE_LONGLONG must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:137:9: #error "wxUSE_MIMETYPE must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:153:9: #error "wxUSE_PROTOCOL must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:195:9: #error "wxUSE_REGEX must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:203:9: #error "wxUSE_STDPATHS must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:211:9: #error "wxUSE_XML must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:219:9: #error "wxUSE_SOCKETS must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:227:9: #error "wxUSE_STREAMS must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:235:9: #error "wxUSE_STOPWATCH must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:243:9: #error "wxUSE_TEXTBUFFER must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:251:9: #error "wxUSE_TEXTFILE must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:267:9: #error "wxUSE_URL must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:285:9: #error "wxUSE_ACCEL must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:293:9: #error "wxUSE_BMPBUTTON must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:301:9: #error "wxUSE_BUTTON must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:309:9: #error "wxUSE_CALENDARCTRL must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:317:9: #error "wxUSE_CARET must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:325:9: #error "wxUSE_CHECKBOX must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:341:9: #error "wxUSE_CHOICE must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:349:9: #error "wxUSE_CHOICEBOOK must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:357:9: #error "wxUSE_CHOICEDLG must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:365:9: #error "wxUSE_CLIPBOARD must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:373:9: #error "wxUSE_COLOURDLG must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:381:9: #error "wxUSE_COMBOBOX must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:389:9: #error "wxUSE_DATAOBJ must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:397:9: #error "wxUSE_DATEPICKCTRL must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:405:9: #error "wxUSE_DISPLAY must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:413:9: #error "wxUSE_DOC_VIEW_ARCHITECTURE must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:421:9: #error "wxUSE_FILEDLG must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:429:9: #error "wxUSE_FONTDLG must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:437:9: #error "wxUSE_FONTMAP must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:445:9: #error "wxUSE_GAUGE must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:453:9: #error "wxUSE_GRID must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:461:9: #error "wxUSE_HELP must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:469:9: #error "wxUSE_HTML must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:477:9: #error "wxUSE_XRC must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:498:9: #error "wxUSE_ICO_CUR must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:506:9: #error "wxUSE_IFF must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:514:9: #error "wxUSE_IMAGLIST must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:522:9: #error "wxUSE_JOYSTICK must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:530:9: #error "wxUSE_LISTBOOK must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:538:9: #error "wxUSE_LISTBOX must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:546:9: #error "wxUSE_LISTCTRL must be defined."
C:/wxWidgets-2.6.2/wxWidgets-2.6.2/include/wx/chkconf.h:554:9: #error "wxUSE_LOGGUI must be defined."
Process terminated with status 1 (0 minutes, 5 seconds)

I don't understand the problem, if someone could help me please.

Offline AkiraDev

  • Multiple posting newcomer
  • *
  • Posts: 71
Re: wxWidgets 2.6 (MSW, GCC) installation instructions
« Reply #81 on: January 31, 2006, 01:43:36 pm »
The Code::Blocks project is configured to use a Unicode wxWidgets library, while your wxWidgets has been compiled as ANSI (UNICODE=0).

You need to either:

Adapt your project build options for ANSI...
- Remove the wxUSE_UNICODE define
- Change the custom variable WX_SUFFIX from 'u' to an empty string

... or recompile wxWidgets as Unicode (UNICODE=1).

Offline mandrav

  • Project Leader
  • Administrator
  • Lives here!
  • *****
  • Posts: 4291
    • Code::Blocks IDE
Re: wxWidgets 2.6 (MSW, GCC) installation instructions
« Reply #82 on: January 31, 2006, 03:01:04 pm »
And please don't use "VENDOR=cb". It is wrong to use it. I have removed it from the wiki for some time now. If you saw it there, please tell me where so I can remove it...
Be patient!
This bug will be fixed soon...

Offline killerbot

  • Administrator
  • Lives here!
  • *****
  • Posts: 5187
Re: wxWidgets 2.6 (MSW, GCC) installation instructions
« Reply #83 on: January 31, 2006, 03:39:05 pm »
And please don't use "VENDOR=cb". It is wrong to use it. I have removed it from the wiki for some time now. If you saw it there, please tell me where so I can remove it...

Yiannis,
How come CB still need the wxmsw26u_gcc_cb.dll then ?


Lieven

Offline mandrav

  • Project Leader
  • Administrator
  • Lives here!
  • *****
  • Posts: 4291
    • Code::Blocks IDE
Re: wxWidgets 2.6 (MSW, GCC) installation instructions
« Reply #84 on: January 31, 2006, 03:49:38 pm »
Yiannis,
How come CB still need the wxmsw26u_gcc_cb.dll then ?

The vendor suffix is there so you know where you got your DLL from. If everyone creates wxmsw26u_gcc_cb.dll, then how would you tell if it's our "official" release or not?
If you ommit the vendor part, it creates wxmsw26u_gcc_custom.dll which works just fine without altering one thing...
Be patient!
This bug will be fixed soon...

Offline killerbot

  • Administrator
  • Lives here!
  • *****
  • Posts: 5187
Re: wxWidgets 2.6 (MSW, GCC) installation instructions
« Reply #85 on: January 31, 2006, 03:52:36 pm »
recap (did not read the entire thread), if you create your own wx programs : use a non vendor=cb wx builded dll.
when using cb (official, nightly, your own CB build) : vendor =cb builded dll ??

is this correct ?

Offline mandrav

  • Project Leader
  • Administrator
  • Lives here!
  • *****
  • Posts: 4291
    • Code::Blocks IDE
Re: wxWidgets 2.6 (MSW, GCC) installation instructions
« Reply #86 on: January 31, 2006, 03:58:48 pm »
recap (did not read the entire thread), if you create your own wx programs : use a non vendor=cb wx builded dll.
when using cb (official, nightly, your own CB build) : vendor =cb builded dll ??

is this correct ?

In other, more specific, words: "VENDOR=cb" must only be used by C::B devs creating releases (official or nightlies).
Nobody else should use it.
It doesn't change anything anyway, other than the DLL's name. This means that the same project file can be used to build a wx app regardless of the vendor setting...
Be patient!
This bug will be fixed soon...

Offline Gregorius

  • Single posting newcomer
  • *
  • Posts: 5
Re: wxWidgets 2.6 (MSW, GCC) installation instructions
« Reply #87 on: January 31, 2006, 05:27:08 pm »
Can anybody help me with my "stupid" error?
Anytime I try to build wxWidgets I get exactly the same "syntax error"...
Even without any additional option:
Code: [Select]
C:\Dev\wxWidgets-2.6.2\build\msw>mingw32-make -f makefile.gcc
if not exist gcc_mswd mkdir gcc_mswd
Syntax error: end of file unexpected (expecting "then")
C:\dev\CodeBlocks\bin\mingw32-make: [gcc_mswd] Error 2 (ignored)
if not exist ..\..\lib\gcc_lib mkdir ..\..\lib\gcc_lib
Syntax error: end of file unexpected (expecting "then")
C:\dev\CodeBlocks\bin\mingw32-make: *** [..\..\lib\gcc_lib] Error 2
What am I doing wrong?  :?

Offline killerbot

  • Administrator
  • Lives here!
  • *****
  • Posts: 5187
Re: wxWidgets 2.6 (MSW, GCC) installation instructions
« Reply #88 on: January 31, 2006, 06:00:55 pm »
do first mingw32-make --version (should be 3.80), just too make sure

sethjackson

  • Guest
Re: wxWidgets 2.6 (MSW, GCC) installation instructions
« Reply #89 on: January 31, 2006, 06:06:55 pm »
Try this too

Code: DOS
  1. C:\Dev\wxWidgets-2.6.2\build\msw>mingw32-make -f makefile.gcc BUILD=release
  2.  

I think you are supposed to tell wx which build to build. Ex. release or debug....... I could be wrong though.

You do need mingw32-make ver 3.80 just like killerbot said.  :D